### File

`packages/ecl/components/ecl-gallery/ecl-gallery-media.directive.ts`

### Description

Adds styling and functionality for gallery picture component.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `picture[eclGalleryPicture]`

### Index

###### Properties
img isThumbnail sources
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

img
Type : `EclGalleryPictureImage`
Default value : `{}`

isThumbnail
Type : `unknown`
Default value : `false`

sources
Type : `Array<EclGalleryPictureSource>`
Default value : `[]`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""